Skip to main content
GET
/
api
/
us
/
v0
/
financial-statements
/
cash-flow
Cash Flow Statement
curl --request GET \
  --url https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/financial-statements/cash-flow \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "data": {
    "company_id": "0000320193",
    "cik": "0000320193",
    "statement_type": "cash_flow",
    "reporting_type": "quarterly",
    "fiscal_year": 2025,
    "fiscal_quarter": "Q3",
    "period_end_date": "2025-09-27",
    "currency": "USD",
    "ticker": "AAPL",
    "accession_number": "0000320193-25-000079",
    "filing_url": "https://www.sec.gov/Archives/edgar/data/320193/000032019325000079/0000320193-25-000079-index.htm",
    "metrics": {
      "net_cash_provided_by_used_in_operating_activities": 31100000000,
      "payments_to_acquire_property_plant_and_equipment": 3280000000,
      "repayments_of_debt": 2500000000
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.stockinsights.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

cik
string
required

SEC Central Index Key for the issuer, zero-padded to 10 digits.

Pattern: ^[0-9]{10}$
Example:

"0000320193"

period_end_date
string<date>
required

Period end date in YYYY-MM-DD format. Must match the report_end_date of a column in the filing's XBRL data (e.g. a quarter end for 10-Q or fiscal year end for 10-K / 20-F).

Example:

"2025-09-27"

reporting_type
enum<string>
required

Reporting period length. Use quarterly for 10-Q three-month columns, half_yearly / nine_months for cumulative interim columns, and annual for 10-K / 20-F full-year columns.

Available options:
quarterly,
half_yearly,
nine_months,
annual
Example:

"quarterly"

Response

Successful response with US as-reported XBRL statement data.

status
enum<string>
Available options:
success
data
object